document.addEventListener('DOMContentLoaded', function() {
  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      
      const targetId = this.getAttribute('href');
      if (targetId === '#') return;
      
      const targetElement = document.querySelector(targetId);
      if (targetElement) {
        window.scrollTo({
          top: targetElement.offsetTop - 80,
          behavior: 'smooth'
        });
      }
    });
  });

  // Form submission handling
  const contactForm = document.querySelector('.contact-form');
  if (contactForm) {
    contactForm.addEventListener('submit', function(e) {
      e.preventDefault();
      
      // Simple form validation
      const name = this.elements['name'].value.trim();
      const email = this.elements['email'].value.trim();
      const service = this.elements['service'].value;
      
      if (!name || !email || service === 'Select a service') {
        alert('Please fill in all required fields');
        return;
      }
      
      // In a real implementation, you would send this data to your server
      alert('Thank you for your request! We will contact you shortly.');
      this.reset();
    });
  }

  // Mobile menu toggle (would need to be added to the HTML)
  // This is just a placeholder for future enhancement
});